# Uses of Interface
com.opensymphony.module.sitemesh.HTMLPage

Packages that use HTMLPage
Package
Description
com.opensymphony.module.sitemesh.parser
com.opensymphony.sitemesh.compatability

## Uses of HTMLPage in com.opensymphony.module.sitemesh.parser

Classes in com.opensymphony.module.sitemesh.parser that implement HTMLPage
Modifier and Type
Class
Description
`class`
`AbstractHTMLPage`
Abstract implementation of `HTMLPage`.
`final class`
`FastPage`
HTMLPage implementation produced by FastPageParser.
`class`
`TokenizedHTMLPage`
HTMLPage implementation that builds itself based on the incoming 'tag' and 'text' tokens fed to it from the HTMLTagTokenizer.

## Uses of HTMLPage in com.opensymphony.sitemesh.compatability

Classes in com.opensymphony.sitemesh.compatability that implement HTMLPage
Modifier and Type
Class
Description
`class`
`Content2HTMLPage`
Adapts a SiteMesh 3 `Content` to a SiteMesh 2 `HTMLPage`.
Fields in com.opensymphony.sitemesh.compatability declared as HTMLPage
Modifier and Type
Field
Description
`private final HTMLPage`
HTMLPage2Content.`page`
Constructors in com.opensymphony.sitemesh.compatability with parameters of type HTMLPage
Modifier
Constructor
Description
``
`HTMLPage2Content(HTMLPage page)`